Name:           fusion-icon
Version:        0.1.1
Release:        1%{?dist}
Epoch:          1
Summary:        Compiz Fusion panel applet
Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://github.com/raveit65/fusion-icon-gtk3
Source0:        https://raveit65.fedorapeople.org/compiz/SOURCE/%{name}-gtk3-%{version}.tar.xz
BuildArch:      noarch
ExcludeArch:    ppc64

BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils

Requires:       ccsm
Requires:       %{name}-gtk = %{epoch}:%{version}-%{release}


%description
The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.

%package gtk
Requires:  pygtk2
Requires:  %{name} = %{epoch}:%{version}-%{release}
Group:     User Interface/Desktops
Summary:   GTK3 UI for fusion-icon

%description gtk
This package provides the gtk3 UI for fusion-icon


%prep
%setup -q -n %{name}-gtk3-%{version}

%build
# python, no build needed

%install
make install DESTDIR=$RPM_BUILD_ROOT

for file in $RPM_BUILD_ROOT%{python_sitelib}/FusionIcon/{environment,parser,util,start,execute,__init__,data}.py; do
   chmod a+x $file
done
for file in $RPM_BUILD_ROOT%{python_sitelib}/FusionIcon/interface_gtk3/{main,__init__}.py; do
   chmod a+x $file
done


%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/fusion-icon.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%dir %{python_sitelib}/FusionIcon/
%{python_sitelib}/FusionIcon/*py*
%{_datadir}/icons/hicolor/*/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg
%{python_sitelib}/fusion_icon-0.1.1-py2.7.egg-info

%files gtk
%{python_sitelib}/FusionIcon/interface_gtk3/


%changelog
* Tue Oct 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1.1-1
- switch to new upstream with new 0.1.1 release
- remove old patches
- clean up spec file
- use gtk3 as gui interface
- selecting gwd with current marco theme is working now
- menu entry is now in utilities

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> -  1:0.1-4
- bump version

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> -  1:0.1-3
- build for fedora
- review package
- remove python_sitelib stuff
- fix icon cache scriptlets
- fix python2-devel BR
- fix non-executable-script

* Sat Sep 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1-2
- add %%{?dist} tag again

* Sat Sep 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1-1
- add Epoch tag
- improve spec file

* Wed Sep 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1.0-0.9.5e2dc9git
- improve spec file
- remove qt subpackage

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1.0-0.8.5e2dc9git
- build for mate

